Subject: Re: [PATCH 3/3] t7421: eliminate 'grep' check in t7421.4 for mingw compatibility

From: Shourya Shukla <[email-masked]>
Date: Thu, 27 Aug 2020 14:44:41 +0530

> Interesting.  There is a mirroring if-else cascade that begins with
> "if (S_ISGITLINK(p->mod_dst))" immediately after the if-else cascade
> started here, and in there, the same verify_submodule_committish()
> is called for oid_dst unconditionally.  Should the asymmetry bother
> readers of the code, or is the source side somehow special and needs
> extra care?

I understand what you are trying to say. The thing is that the
conditional `if (S_ISGITLINK(p->mod_dst))` already guards the
`verify_submodule_committish` when we have a status of 'D'. So, we do
not need another similar if-statement for that. It does seem a bit weird
to someone who is reading this thing for the first time, hence, I will
mention this in the commit message.

Apologies for the late reply, I was a little busy with something.